Page MenuHomePhabricator

[Regression wmf16] Cannot open category popup widget
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

1.Open a page with VE
2.Go to Options>Categories
3.Insert a category
4.Now click on the down arrow to bring up the category dialog to sort or to delete

Observed Result:
The Category dialog is not opening ,No error in the console

Event Timeline

Ryasmeen created this task.Feb 5 2015, 9:01 PM
Ryasmeen raised the priority of this task from to High.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2015, 9:01 PM
Krenair renamed this task from [Regression wmf16] Cannot open Category dialog to [Regression wmf16] Cannot open category popup widget.Feb 5 2015, 9:05 PM
Krenair set Security to None.
Krenair added a subscriber: Krenair.

Indeed. And it is solved by this: https://gerrit.wikimedia.org/r/#/c/187618/ (just tested)

gerritbot added a subscriber: gerritbot.

Change 187617 had a related patch set uploaded (by Mooeypoo):
Use css class rather than jQuery show/hide

https://gerrit.wikimedia.org/r/187617

Patch-For-Review

Change 187618 had a related patch set uploaded (by Mooeypoo):
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/187618

Patch-For-Review

Ryasmeen assigned this task to Mooeypoo.Feb 5 2015, 10:20 PM
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Feb 6 2015, 12:42 AM

Change 187618 merged by jenkins-bot:
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/187618

Change 189144 had a related patch set uploaded (by Catrope):
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/189144

Patch-For-Review

Change 189144 merged by jenkins-bot:
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/189144

Jdforrester-WMF closed this task as Resolved.Feb 10 2015, 8:44 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Works for me – master, Beta Cluster and MediaWiki.org.

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 21 2015, 12:36 AM
Jdforrester-WMF edited a custom field.Mar 9 2015, 6:07 PM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:56 PM